	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "contour1")
	call psetc("output_name_first_page_number", "off")

	call psetc("map_land_shade_colour", "cream")
	call psetc("map_grid_colour", "tan")
	call psetc("map_grid", "on")
	call psetc("map_coastline_colour", "tan")
	call psetc("map_land_shade", "on")
	call pcoast

	call psetc("grib_id", "z500")
	call psetc("grib_input_file_name", "z500.grb")
	call pgrib

	call psetc("contour_line_colour", "navy")
	call pseti("contour_line_thickness", 3)
	call psetc("contour_label", "on")
	call psetc("contour_highlight_colour", "navy")
	call psetc("legend", "off")
	call pseti("contour_highlight_thickness", 5)
	call pcont

	call pset1c("text_lines", (/"Simple Contouring, "/), 1)
	call psetr("text_font_size", 1.00)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call pclose

	end
